OpenTTD

Tasklist

FS#5773 - Wrong message on XP Professional x64

Attached to Project: OpenTTD
Opened by Jan Jurkus (JanJurkus) - Wednesday, 02 October 2013, 21:38 GMT
Last edited by Remko Bijker (Rubidium) - Sunday, 17 November 2013, 16:17 GMT
Type Bug
Category Interface
Status Closed
Assigned To No-one
Operating System Windows
Severity Very Low
Priority Normal
Reported Version 1.3.2
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Hi, when using this* installer on XP x64 it complains it might not work because I am trying to install a version not compatible with my system. Maybe it suspects SP3 to be the current SP for XP x64. This is not true, as XP x64 is related to W2K3 development, so SP2 is the most recent service pack. If you guys/gals have nothing better to do... well ;-)

*http://binaries.openttd.org/releases/1.3.2/openttd-1.3.2-windows-win64.exe

Thanks for bringing a great game into the 21st century, but you will probably get no thanks from the girlfriends of the players ;-)
This task depends upon

Closed by  Remko Bijker (Rubidium)
Sunday, 17 November 2013, 16:17 GMT
Reason for closing:  Fixed
Additional comments about closing:  In r26028
Comment by Remko Bijker (Rubidium) - Friday, 08 November 2013, 19:56 GMT
The attached patch might do the trick, but I don't currently have an environment to build an installer so I can't test whether it performs the check correctly.
Comment by Remko Bijker (Rubidium) - Tuesday, 12 November 2013, 19:56 GMT
Does the attached installer not give the warning about the version? You might need to uninstall the previous version in order for this installer to run. You shouldn't actually proceed with the installation as this isn't a proper OpenTTD compilation.

Loading...